<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../conf/connection.php');
   //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $numero=stripslashes($_POST["numero"]);
	  $mesa=stripslashes($_POST["mesa"]);
	  
	  $subtotal=stripslashes($_POST["subtotal"]);
	  $propina=stripslashes($_POST["propina"]);
	  $total=stripslashes($_POST["total"]);
	  $fecha=date("Y-m-d");
	  $hora=date("H:y:s");
      $rut=stripslashes($_POST["rut"]);
	  if($rut==" "){$rut="1-9"; $doc="1";}else{ $doc="2";}

      $comp_rut="select * from clientes where rut_clientes=\"$rut\"";
	  
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide1=mysql_query($comp_rut,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide1=mysql_num_rows($r_ide1);
	 
	    //Es decir si devolvio registros
		if($nr_ide1==0){
		    ?><script>alert("Error: RUT ingresado no exite. Debe registar el RUT en el modulo de clientes.");
               window.history.back();
              </script><?
		  
		}else{
	  
if( $total=="" ){ ?> 
<script>alert("Error: Existen campos vacios"); window.history.back(); </script> 
<? }else{ 	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from ventas where idventas=\"$numero\"";
	  
	  
	  
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	  
	    //Es decir si devolvio registros
		if($nr_ide>0)
		{
			//Mandamos un script java con notificacion
			?> <script> alert("Pedido N <? echo $numero ?> ya se encuentra pagado.!"); window.history.back(); </script> <? 
		}
		//procedemos a guardar el registro
		else
		{
			//Construimos el query!
			$insertar="insert into ventas(idventas,fecha, mesa, subtotal,propina, total,hora,idpedido,
			rut_clientes, doc) values (";
			$insertar.="\"$numero\", \"$fecha\", \"$mesa\",\"$subtotal\", \"$propina\", \"$total\",\"$hora\",
			\"$numero\",\"$rut\", \"$doc\")";
            			
			
			//activamos la mesa
			
			$sel_actualiza_mesa="UPDATE mesa SET est_mesa='1' WHERE num_mesa='$mesa'";
		    $rs_actualiza_mesa = mysql_query($sel_actualiza_mesa);	
			
			//desactivamos el peido
			
			$sel_actualiza_pedido="UPDATE pedido SET est='2' WHERE idpedido='$numero'";
		    $rs_actualiza_pedido = mysql_query($sel_actualiza_pedido);	
		
			
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			?> <script> 
			  alert("Registro almacenado con exito!");
			 </script>
              <META HTTP-EQUIV="REFRESH" CONTENT="1;URL=comp.php?idpedido=<? echo $numero; ?>">
              <script> </script> 
			   <? 
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  }}
  else
  {
	  ?> <script> alert("Intento ilegal de llamar al SCRIPT!"); window.close();</script> <?
  }
		
?>